package scripting.dal;

import java.util.Iterator;
import org.gvsig.fmap.mapcontext.layers.FLayer;

/**
 *
 *
 */
public class FLayers extends org.gvsig.fmap.mapcontext.layers.FLayers {

    /**
     * Returns the java object associated to this python object. With the
     * current implementation this is not necessary, don't use now python
     * wrappers for java objects.
     *
     * @return
     * @deprecated this method now return self alwais.
     *
     */
    public Object __call__() {
        return null;
    }

    /**
     *
     * @return
     */
    public int __len__() {
        return 0;
    }

    /**
     *
     * @return
     */
    public Iterator<FLayer> __iter__() {
        return null;
    }

    /**
     *
     * @param index
     * @return
     */
    public FLayer __getitem__(int index) {
        return null;
    }

}
